Bug 999672 - EAP62_2010 - [RFE] <...BUMPED...> Logging Unification (RESTEasy)
EAP62_2010 - [RFE] <...BUMPED...> Logging Unification (RESTEasy)
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.3.0
Assigned To: Weinan Li
Katerina Novotna
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 16:03 EDT by Brian Stansberry
Modified: 2017-10-09 20:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 02:50:35 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Stansberry 2013-08-21 16:03:32 EDT
Tracker issue for RESTEasy portion of EAP62_2010 Logging Unification.

ANDIAMO-7 compliance.
Comment 3 Jason Greene 2013-09-05 13:54:24 EDT
This one will need to be rescheduled to 6.3 since it didn't make the window.
Comment 6 Weinan Li 2014-06-18 03:53:15 EDT
Fixed in RESTEasy 2.3.8
Comment 7 Katerina Novotna 2014-06-20 09:04:25 EDT
Hi Weinan,

I have checked resteasy source code for 2.3.8.Final-redhat branch and I found there logging messages like this:

eagledns/src/main/java/se/unlogic/eagledns/EagleDNS.java:
log.error("Invalid address " + addressString + " specified in config file, skipping address " + e);

and many more.

According to ANDIAMO7 project [1] all errors and warnings should have an unique id.

If you had chosen different way to implement unique ids or I overlooked something, please let me know.

[1] https://issues.jboss.org/browse/ANDIAMO-7
Comment 8 Weinan Li 2014-06-20 09:50:28 EDT
Hi Katerina,

We only support these components for RESTEasy in EAP:

master:jboss-eap-6.3 weinanli$ find . -name *resteasy*.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-atom-provider/main/resteasy-atom-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-cdi/main/resteasy-cdi-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-hibernatevalidator-provider/main/resteasy-hibernatevalidator-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-jackson-provider/main/resteasy-jackson-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-jaxb-provider/main/resteasy-jaxb-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-jaxrs/main/resteasy-jaxrs-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-jettison-provider/main/resteasy-jettison-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-jsapi/main/resteasy-jsapi-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-multipart-provider/main/resteasy-multipart-provider-2.3.8.Final-redhat-3.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-spring/main/bundled/resteasy-spring.jar
./modules/system/layers/base/org/jboss/resteasy/resteasy-yaml-provider/main/resteasy-yaml-provider-2.3.8.Final-redhat-3.jar

EagleDNS is not supported.
Comment 13 Weinan Li 2014-06-20 12:45:10 EDT
Hi Ron,

As I remembered this has been fixed long time ago. But I saw https://issues.jboss.org/browse/RESTEASY-719 is still in open status. Could you please help to confirm this? Thanks!
Comment 14 Ron Sigal 2014-06-21 19:01:24 EDT
Hey Wei,

I've committed to reworking Resteasy logging for i18n, and I worked on it for a while, but I never merged anything. I've agreed to get it done by October 20. See EAP-48 and EAP-49.

-Ron
Comment 15 Weinan Li 2014-06-23 02:31:19 EDT
(In reply to Ron Sigal from comment #14)
> Hey Wei,
> 
> I've committed to reworking Resteasy logging for i18n, and I worked on it
> for a while, but I never merged anything. I've agreed to get it done by
> October 20. See EAP-48 and EAP-49.
> 
> -Ron

Thanks for the info Ron! btw, will it be merged into Branch_2_3 also?
Comment 18 Ron Sigal 2014-10-23 21:11:48 EDT
Internationalization using JBoss Logging is now implemented in Resteasy 2.3.9, which will ship with EAP 6.4.

Note You need to log in before you can comment on or make changes to this bug.